<template>
	<view class="pageContent">
		<!-- 吸顶自定义导航栏 -->
		<!-- <u-sticky offset-top="0"><my-backNar /></u-sticky> -->
		<view class="content">
			<u-gap height="30"></u-gap>
			<view class="codeModel">
				<image class="init_image" :src="codeUrl" mode=""></image>
			</view>

		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				code: '',
				codeUrl: "",
				navBarHeight: getApp().globalData.navBarHeight,
			}
		},
		onLoad(option) {
			this.code = option.code;
			this.verification_qrCode()
		},
		methods: {
			//获取订单详情
			verification_qrCode() {
				this.$request('/verification-qrCode', 'POST', {
					code: this.code
				}).then(res => {
					console.log(res.data)
					this.codeUrl = res.data.filepath;
				}).catch(err => {
					uni.showToast({

						icon: 'error',

						title: '' + err.message

					})
				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.pageContent {
		position: relative;
	}

	/* 其他样式 */
	.content {
		width: 100vw;
		height: calc(100vh - 30rpx);
		padding-top: 30rpx;
		overflow-y: scroll;
		background: linear-gradient(to bottom, #f3d4d7, #f8f8f8, #f8f8f8);
	}

	.codeModel {
		width: 650rpx;
		height: 650rpx;
		margin: auto;
		border-radius: 20rpx;
		overflow: hidden;
	}
</style>